#!/bin/sh

BASE="$1"
TOC=$BASE.toc

cp $TOC $BASE.tocfile
cat $TOC | grep -v MESSAGE > $TOC.org
mv $TOC.org $TOC

grep Track $TOC |\
	awk -f track.awk > track

grep TITLE $TOC |\
	sed 's/\//-/g' |\
	awk -f titles.awk |\
	sed 's/^1//' |\
	grep -v "^00" > titles
	
tnummer=`cat track`
base=`/bin/ls *.toc | sed 's/\.toc//'`
mp3=`/bin/ls *.wav | sed 's/\.wav/.mp3/'`
mp3=`echo $mp3 | sed 's/$/ /'`

cat Makefile | sed "s/FOONR/$tnummer/g" | sed "s/FOOMP3/$mp3/g" > Makefile.new
mv Makefile.new Makefile
sync
sync
sync

exit 0
